booster::shared_lock< Mutex > Class Template Reference

a Shared lock guard. More...

`#include <booster/booster/thread.h>`

Inheritance diagram for booster::shared_lock< Mutex >:

## Public Member Functions

| shared_lock (Mutex &m)
| Acquire the lock.
| ~shared_lock ()
| Release the lock.
Mutex * | mutex () const
| Get the reference to the mutex object.

## Detailed Description

### template<typename Mutex>
class booster::shared_lock< Mutex >

a Shared lock guard.

Acquire the shared lock in the constructor and release it in the destructor

The documentation for this class was generated from the following file:

- booster/thread.h